﻿using System.Collections.Generic;
using TSLab.Script.Helpers;

namespace TSLab.Script.Handlers
{
    [HandlerCategory("Indicators")]
    public class SMMA : BasePeriodIndicatorHandler, IDouble2DoubleHandler
    {
        [HandlerParameter(true, "5", Min = "1", Max = "10", Step = "1")]
        public int Shift
        {
            get;
            set;
        }
        public IList<double> Execute(IList<double> source)
        {
            return Series.SMMA(source, Period, Shift);
        }
    }

    [HandlerCategory("Indicators")]
    public class MedianPrice : IBar2DoubleHandler
    {
        public IList<double> Execute(ISecurity source)
        {
            return Series.MedianPrice(source.Bars);
        }
    }

}
